[PC-BSD Commits] r3154 - in pbibuild/pbibuilder: pbicreator pbicreator/PBIfiles scripts
svn at pcbsd.org
svn at pcbsd.org
Mon Dec 29 14:25:11 PST 2008
Author: kris
Date: 2008-12-29 14:25:10 -0800 (Mon, 29 Dec 2008)
New Revision: 3154
Added:
pbibuild/pbibuilder/pbicreator/PBIfiles/
pbibuild/pbibuilder/pbicreator/PBIfiles/copylibs.sh
Modified:
pbibuild/pbibuilder/scripts/3.makepbi.sh
Log:
Another small update to the pbi builder software, we don't need to do any
special GTK / Pango file creations now with the new LOCALBASE fix, plus this fixes the bug in FF causing a crash when right-clicking on a flash item.
Property changes on: pbibuild/pbibuilder/pbicreator/PBIfiles/copylibs.sh
___________________________________________________________________
Added: svn:executable
+ *
Modified: pbibuild/pbibuilder/scripts/3.makepbi.sh
===================================================================
--- pbibuild/pbibuilder/scripts/3.makepbi.sh 2008-12-29 21:13:57 UTC (rev 3153)
+++ pbibuild/pbibuilder/scripts/3.makepbi.sh 2008-12-29 22:25:10 UTC (rev 3154)
@@ -199,7 +199,19 @@
cp -R /usr/local/kde4/lib/kde4/plugins/styles ${PBIDIR}/kde4/lib/kde4/plugins/
fi
+# Check if we are using gtk / pango and copy over the etc / lib files
+ls /usr/local/etc/gtk* >/dev/null 2>/dev/null
+if [ "$?" = "0" ]
+then
+ cp -R /usr/local/etc/gtk* ${PBIDIR}/etc/
+ cp -R /usr/local/etc/pan* ${PBIDIR}/etc/
+ cp -R /usr/local/lib/gtk* ${PBIDIR}/lib/
+ cp -R /usr/local/lib/pang* ${PBIDIR}/lib/
+ mkdir ${PBIDIR}/share >/dev/null 2>/dev/null
+ cp -R /usr/local/share/themes ${PBIDIR}/share/ >/dev/null 2>/dev/null
+fi
+
# Now run creation of PBI file:
cd /PBC
./createpbi.sh /pbi.pbc /PBC
More information about the Commits
mailing list